Retrieve patient profile by username
curl --request GET \
--url 'https://api.eka.care/profiles/v1/patient/{username}/username/?flatten=true' \
--header 'Authorization: Bearer <token>' \
--header 'client-id: <client-id>'import requests
url = "https://api.eka.care/profiles/v1/patient/{username}/username/?flatten=true"
headers = {
"client-id": "<client-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'client-id': '<client-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.eka.care/profiles/v1/patient/{username}/username/?flatten=true', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"oid": "175074536120088",
"wid": "77088166996724",
"ps": "P",
"c_ate": 1750745358,
"u_ate": 1750745358,
"gen": "M",
"dob": "2000-01-02",
"is_age": true,
"fn": "Eka",
"ln": "User",
"fln": "Eka User",
"bg": "B+",
"mobile": "1201201201",
"ccd": "+91",
"email": "eka.user@example.com",
"username": "ABC001",
"s": "Mr.",
"abha": "example@abdm"
}
]{
"message": "Not found",
"code": "profile_not_found"
}Patient Directory APIs
Retrieve patient profile by username
Retrieves patient profile using username in a workspace.
GET
/
profiles
/
v1
/
patient
/
{username}
/
username
/
?flatten=true
Retrieve patient profile by username
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"eka-doc"
Path Parameters
Example:
"exampleusername"
Response
Patient profile details
Example:
"175074536120088"
Example:
"77088166996724"
Example:
"P"
Example:
1750745358
Example:
1750745358
Example:
"M"
Example:
"2000-01-02"
Example:
true
Example:
"Eka"
Example:
"User"
Example:
"Eka User"
Example:
"B+"
Example:
"1201201201"
Example:
"+91"
Example:
"eka.user@example.com"
Example:
"ABC001"
Example:
"Mr."
Example:
"example@abdm"
Was this page helpful?

